#
# spec file for package rubygem-rack-test
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rack-test
Version:        2.1.0
Release:        1.2
%define mod_name rack-test
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/rack/rack-test
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple testing API built on Rack
License:        MIT

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on its
own or as a reusable starting point for Web frameworks and testing libraries
to build on.

%prep

%build

%install
%gem_install \
  --doc-files="History.md MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.1.0, see bundled History.md
* Wed Jun 29 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.0.2
  * Bug fixes:
  * Fix additional incompatible character encodings error when building
    uploaded bodies (Jeremy Evans #311)
  [#]# 2.0.1 / 2022-06-27
  * Bug fixes:
  * Fix incompatible character encodings error when building uploaded
    file bodies (Jeremy Evans #308 #309)
* Sat Jun 25 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.0.0
  * Breaking changes:
  * Digest authentication support is now deprecated, as it relies on
    digest authentication support in rack, which has been deprecated
    (Jeremy Evans #294)
  * `Rack::Test::Utils.build_primitive_part` no longer handles array
    values (Jeremy Evans #292)
  * `Rack::Test::Utils` module methods other than `build_nested_query`
    and `build_multipart` are now private methods (Jeremy Evans #297)
  * `Rack::MockSession` has been combined into `Rack::Test::Session`,
    and remains as an alias to `Rack::Test::Session`, but to keep some
    backwards compatibility, `Rack::Test::Session.new` will accept a
    `Rack::Test::Session` instance and return it (Jeremy Evans #297)
  * Previously protected methods in `Rack::Test::Cookie{,Jar}` are now
    private methods (Jeremy Evans #297)
  * `Rack::Test::Methods` no longer defines `build_rack_mock_session`,
    but for backwards compatibility, `build_rack_test_session` will call
    `build_rack_mock_session` if it is defined (Jeremy Evans #297)
  * `Rack::Test::Methods::METHODS` is no longer defined
    (Jeremy Evans #297)
  * `Rack::Test::Methods#_current_session_names` has been removed
    (Jeremy Evans #297)
  * Headers used/accessed by rack-test are now lower case, for rack 3
    compliance (Jeremy Evans #295)
  * Frozen literal strings are now used internally, which may break
    code that mutates static strings returned by rack-test, if any
    (Jeremy Evans #304)
  * Minor enhancements:
  * rack-test now works with the rack main branch (what will be rack 3)
    (Jeremy Evans #280 #292)
  * rack-test only loads the parts of rack it uses when running on the
    rack main branch (what will be rack 3) (Jeremy Evans #292)
  * Development dependencies have been significantly reduced, and are
    now a subset of the development dependencies of rack itself
    (Jeremy Evans #292)
  * Avoid creating multiple large copies of uploaded file data in
    memory (Jeremy Evans #286)
  * Specify HTTP/1.0 when submitting requests, to avoid responses with
    Transfer-Encoding: chunked (Jeremy Evans #288)
  * Support `:query_params` in rack environment for parameters that
    are appended to the query string instead of used in the request
    body (Jeremy Evans #150 #287)
  * Reduce required ruby version to 2.0, since tests run fine on
    Ruby 2.0 (Jeremy Evans #292)
  * Support :multipart env key for request methods to force multipart
    input (Jeremy Evans #303)
  * Force multipart input for request methods if content type starts
    with multipart (Jeremy Evans #303)
  * Improve performance of Utils.build_multipart by using an
    append-only design (Jeremy Evans #304)
  * Improve performance of Utils.build_nested_query for array values
    (Jeremy Evans #304)
  * Bug fixes:
  * The `CONTENT_TYPE` of multipart requests is now respected, if it
    starts with `multipart/` (Tom Knig #238)
  * Work correctly with responses that respond to `to_a` but not
    `to_ary` (Sergio Faria #276)
  * Raise an ArgumentError instead of a TypeError when providing a
    StringIO without an original filename when creating an
    UploadedFile (Nuno Correia #279)
  * Allow combining both an UploadedFile and a plain string when
    building a multipart upload (Mitsuhiro Shibuya #278)
  * Fix the generation of filenames with spaces to use path
    escaping instead of regular escaping, since path unescaping is
    used to decode it (Muir Manders, Jeremy Evans #275 #284)
  * Rewind tempfile used for multipart uploads before it is
    submitted to the application
    (Jeremy Evans, Alexander Dervish #261 #268 #286)
  * Fix Rack::Test.encoding_aware_strings to be true only on rack
    1.6+ (Jeremy Evans #292)
  * Make Rack::Test::CookieJar#valid? return true/false
    (Jeremy Evans #292)
  * Cookies without a domain attribute no longer are submitted to
    requests for subdomains of that domain, for RFC 6265
    compliance (Jeremy Evans #292)
  * Increase required rack version to 1.3, since tests fail on
    rack 1.2 and below (Jeremy Evans #293)
* Tue Jul 24 2018 mschnitzer@suse.com
- Initial release: 1.1.0
  * Breaking changes:
  * None
  * Minor enhancements / new functionality:
  * [GitHub] Added configuration for Stale (Per Lundberg #232)
  * follow_direct: Include rack.session.options (Mark Edmondson #233)
  * [CI] Add simplecov (fatkodima #227)
  Bug fixes:
  * Follow relative locations correctly. (Samuel Williams #230)
